package com.xjrsoft.module.assessment.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 考核模板题目选项
* @Author dzx
* @Date: 2024-03-29
* @Version 1.0
*/
@Data
public class AddAssessmentQuestionOptionsDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 选项名称
    */
    @ApiModelProperty("选项名称")
    private String name;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Long score;
    /**
    * 考核题目id(assessment_question)
    */
    @ApiModelProperty("考核题目id(assessment_question)")
    private Long assessmentQuestionId;

}
