package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 考勤消息提醒人员表单出参
* @Author dzx
* @Date: 2024-05-21
* @Version 1.0
*/
@Data
public class AttendanceMessageUserRelationVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 所属班级id
    */
    @ApiModelProperty("所属班级id")
    private Long classId;
    /**
    * 所属部门id
    */
    @ApiModelProperty("所属部门id")
    private Long deptId;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 考勤消息设置(attendance_message_set)
    */
    @ApiModelProperty("考勤消息设置(attendance_message_set)")
    private Long attendanceMessageSetId;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

}
