package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
* @title: 学生考勤统计列表
* @Author dzx
* @Date: 2024年5月24日
* @Version 1.0
*/
@Data
public class StudentStatisticsPageVo {

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("班主任名称")
    private String teacherName;

    @ApiModelProperty("学生名称")
    private String studentName;

    @ApiModelProperty("身份证号")
    private String credentialNumber;

    @ApiModelProperty("就读方式")
    private String stduyStatusCn;

    @ApiModelProperty("考勤状态")
    private String status;

    @ApiModelProperty("学生userId")
    private Long userId;

    @ApiModelProperty("考勤时间")
    private LocalDateTime recordTime;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("监护人电话")
    private String guardianPhone;
}
