package com.xjrsoft.module.banding.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 新生分班任务
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class AddBandingTaskDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 年级id
    */
    @ApiModelProperty("年级id")
    private Long gradeId;
    /**
    * 招生类型
    */
    @ApiModelProperty("招生类型")
    private String enrollType;
    /**
    * 分班任务名称
    */
    @ApiModelProperty("分班任务名称")
    private String name;

}
