package com.xjrsoft.module.banding.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
* @title: 新生分班任务分页查询入参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class SaveMajorConditionDto {

    @ApiModelProperty("任务id")
    private Long bandingTaskId;

    @ApiModelProperty("身高限制")
    private List<BandingTaskMajorConditionDto> conditionList;

}
