package com.xjrsoft.module.banding.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.banding.entity.BandingTaskClass;
import com.xjrsoft.module.banding.entity.BandingTaskClassStudent;
import com.xjrsoft.module.student.dto.BaseNewStudentPageDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 新生分班任务班级配置
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Mapper
public interface BandingTaskClassStudentMapper extends MPJBaseMapper<BandingTaskClassStudent> {

    List<BaseNewStudentPageDto> satisfyStudent(@Param("bandingTaskClassId") Long bandingTaskClassId);

    List<BaseNewStudentPageDto> surplusStudent(@Param("taskClass") BandingTaskClass taskClass);
}
