package com.xjrsoft.module.banding.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 新生分班任务分页列表出参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class BandingTaskClassPageVo {

    @ApiModelProperty("主键编号")
    private Long id;

    @ApiModelProperty("班级排序")
    private Integer sortCode;

    @ApiModelProperty("专业方向id")
    private Long majorSetId;

    @ApiModelProperty("专业方向")
    private String majorSetName;

    @ApiModelProperty("班级名称")
    private String name;

    @ApiModelProperty("班级人数")
    private Integer number;

    @ApiModelProperty("第一志愿人数")
    private Integer firstAmbitionCount;

    @ApiModelProperty("第二志愿人数")
    private Integer secondAmbitionCount;

    @ApiModelProperty("身高")
    private BigDecimal height;

    @ApiModelProperty("分数")
    private BigDecimal score;

    @ApiModelProperty("是否订单班(0:否 1:是)")
    private Integer isOrderClass;

    @ApiModelProperty("满足人数")
    private Integer satisfyCount;

    @ApiModelProperty("剩余人数")
    private Integer surplusCount;

    @ApiModelProperty("班主任id")
    private Long teacherId;

    @ApiModelProperty("班主任名称")
    private String teacherName;

    @ApiModelProperty("教室id")
    private Long classroomId;

    @ApiModelProperty("教室名称")
    private String classroomName;

    @ApiModelProperty("班级类型")
    private String classType;

    @ApiModelProperty("是否锁定(0:否 1:是)")
    private Integer status;

}
