package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 评价项
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
public class AddEvaluateItemDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 评价模版编号
    */
    @ApiModelProperty("评价模版编号")
    private Long evaluateTemplateId;
    /**
    * 标题名称
    */
    @ApiModelProperty("标题名称")
    private String topic;
    /**
    * 题目名称
    */
    @ApiModelProperty("题目名称")
    private String problem;
    /**
    * 题目分数（最小为0，只能整数）
    */
    @ApiModelProperty("题目分数（最小为0，只能整数）")
    private Integer score;
    /**
    * 输入框是否为空
    */
    @ApiModelProperty("输入框是否为空")
    private Integer inputNotNull;

}
