package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 参评人提交记录表
* @Author szs
* @Date: 2024-02-02
* @Version 1.0
*/
@Data
public class AddEvaluateSubmitRecordDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 评价管理编号
    */
    @ApiModelProperty("评价管理编号")
    private Long evaluateManageId;
    /**
    * 参评人编号
    */
    @ApiModelProperty("参评人编号")
    private Long evaluateExecuterId;
    /**
    * 被评对象（teacher：老师，class：班级，student：学生）
    */
    @ApiModelProperty("被评对象（teacher：老师，class：班级，student：学生）")
    private String evaluatedObject;
    /**
    * 被评对象编号
    */
    @ApiModelProperty("被评对象编号")
    private Long evaluatedObjectId;

}
