package com.xjrsoft.module.evaluate.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 评价模版分页查询入参
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class EvaluateTemplatePageDto extends PageInput {
    @ApiModelProperty("使用部门")
    public String deptIds;

    @ApiModelProperty("评价类型")
    public String evaluateType;

    @ApiModelProperty("模版名称")
    public String name;

    @ApiModelProperty("状态（0:禁用 1:启用）")
    public Long status;

//    @ApiModelProperty("班级id")
//    public Long classId;

}
