package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 评价项表单出参
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
public class EvaluateItemVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 评价模版编号
    */
    @ApiModelProperty("评价模版编号")
    private Long evaluateTemplateId;
    /**
    * 标题名称
    */
    @ApiModelProperty("标题名称")
    private String topic;
    /**
    * 题目名称
    */
    @ApiModelProperty("题目名称")
    private String problem;
    /**
    * 题目分数（最小为0，只能整数）
    */
    @ApiModelProperty("题目分数（最小为0，只能整数）")
    private Integer score;
    /**
    * 输入框是否为空
    */
    @ApiModelProperty("输入框是否为空")
    private Integer inputNotNull;



}
