package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 被评价对象表单出参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateObjectVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 评价管理编号
    */
    @ApiModelProperty("评价管理编号")
    private Long evaluateManageId;
    /**
    * 年级id
    */
    @ApiModelProperty("年级id")
    private Long baseGradeId;
    /**
    * 题目分数（最小为0，只能整数）
    */
    @ApiModelProperty("题目分数（最小为0，只能整数）")
    private Long orgId;
    /**
    * 被评价对象id
    */
    @ApiModelProperty("被评价对象id")
    private Long objectId;
    /**
    * 被评价对象类别（teacher：老师，class：班级，student：学生）
    */
    @ApiModelProperty("被评价对象类别（teacher：老师，class：班级，student：学生）")
    private String objectType;

}
