package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 评价项表单出参
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
public class ResultViewingPageVo {

    /**
    * 具体被评的那个对象的id
    */
    @ApiModelProperty("具体被评的那个对象的id")
    private Long objectId;
    /**
     * 具体被评的那个对象的id
     */
    @ApiModelProperty("具体被评的那个对象的id")
    private String objectIdCN;
    /**
     * 应打分人数
     */
    @ApiModelProperty("应打分人数")
    private Integer planExecuterNum;
    /**
     * 实际打分人数
     */
    @ApiModelProperty("实际打分人数")
    private Integer actualExecuterNum;
    /**
     * 题目项的id
     */
    @ApiModelProperty("题目项的id")
    private Long evaluateManageItemId;
    /**
     * 题目名称
     */
    @ApiModelProperty("题目名称")
    private String problem;
    /**
     * 单个被评对象的每一道题的平均得分
     */
    @ApiModelProperty("单个被评对象的每一道题的平均得分")
    private Integer sumScore;
    /**
     * 标题名称
     */
    @ApiModelProperty("标题名称")
    private String topic;
    /**
     * 单个被评对象的每一道题的平均得分
     */
    @ApiModelProperty("单个被评对象的每个标题的平均得分")
    private Integer topicScore;
    /**
     * 单个被评对象的每一道题的平均得分
     */
    @ApiModelProperty("单个被评对象的综合平均得分")
    private Integer synthesisScore;

}
