package com.xjrsoft.module.form.dto;

import com.xjrsoft.common.page.ListInput;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Range;

/**
 * @Author: tzx
 * @Date: 2022/8/31 14:46
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class FormTemplateListDto extends ListInput {

    @Range(min = 0, max = 1, message = "表单类型只能为0或1")
    private Integer type;

    private Long category = 0L;


}
