package com.xjrsoft.module.form.entity;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * @Author: tzx
 * @Date: 2022/5/11 16:35
 */
@Data
public class MenuConfig {
    private static final long serialVersionUID = 1L;
    /**
     * 编号
     */
    @NotNull(message = "菜单编号不能为空!")
    @Length( max = 10, message = "编号长度不能超过10个字符!")
    private String code;

    @NotNull(message = "菜单名不能为空!")
    @Length( max = 20, message = "编号长度不能超过20个字符!")
    private String name;

    private String parentId;

    private Long systemId = 1L;

    private String icon;

    private Integer sortCode;

    private String remark;

}
