package com.xjrsoft.module.ledger.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;



/**
* @title: 物品申购
* @Author dzx
* @Date: 2024-02-19
* @Version 1.0
*/
@Data
public class AddWfSubscriptionDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 申请部门
    */
    @ApiModelProperty("申请部门")
    private String applicationDepartment;
    /**
    * 申请日期
    */
    @ApiModelProperty("申请日期")
    private Date shenQingRiQi4752;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private String userId;
    /**
    * 预估总额（元）
    */
    @ApiModelProperty("预估总额（元）")
    private Double totalAmount;
    /**
    * 附件
    */
    @ApiModelProperty("附件")
    private String annex;

    /**
    * wfSubscriptionList
    */
    @ApiModelProperty("wfSubscriptionList子表")
    private List<AddWfSubscriptionListDto> wfSubscriptionListList;
}
