package com.xjrsoft.module.oa.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 文件接收管理
* @Author fanxp
* @Date: 2023-11-03
* @Version 1.0
*/
@Data
public class AddFileReceiveDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 接收用户编号
    */
    @ApiModelProperty("接收用户编号")
    private Long receiverUserId;
    /**
    * 数据编号（根据文件类型判断，数据来源->wf_oa_push,wf_oa_pull）
    */
    @ApiModelProperty("数据编号（根据文件类型判断，数据来源->wf_oa_push,wf_oa_pull）")
    private Long dataId;
    /**
    * 文件类型 1=发文 2=收文
    */
    @ApiModelProperty("文件类型 1=发文 2=收文")
    private Integer fileType;

}
