package com.xjrsoft.module.organization.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xjrsoft.module.organization.dto.WeChatDepartPageDto;
import com.xjrsoft.module.organization.entity.Department;
import com.xjrsoft.module.organization.vo.DepartmentTreeVo;

import java.util.List;

/**
 * <p>
 * 机构 服务类
 * </p>
 *
 * @author tzx
 * @since 2022-03-02
 */
public interface IDepartmentService extends IService<Department> {

    Object Ipage(WeChatDepartPageDto dto);

    List<Long> getAllChildIds(List<Long> deptIds,List<DepartmentTreeVo> voList);
}
