package com.xjrsoft.module.outint.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
* @title: 学生出入记录表单出参
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
public class StudentOutInRecordVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 班主任id
    */
    @ApiModelProperty("班主任id")
    private Long teacherId;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 记录时间
    */
    @ApiModelProperty("记录时间")
    private LocalDateTime recordTime;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private String facePhoto;
    /**
    * 进出状态(0:进 1:出)
    */
    @ApiModelProperty("进出状态(0:进 1:出)")
    private Integer status;

    @ApiModelProperty("考勤状态")
    private String attendanceStatus;

}
