package com.xjrsoft.module.personnel.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 工资发放
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/
@Data
public class ImportBasePersonnelLabourCapitalDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 数据开始行
    */
    @ApiModelProperty("数据开始行")
    private Integer dataRow;
    /**
    * 证件类型所属列
    */
    @ApiModelProperty("证件类型所属列")
    private Integer idTypeColumn;
    /**
    * 证件号码所属列
    */
    @ApiModelProperty("证件号码所属列")
    private Integer idNumberColumn;
    /**
    * 工号所属列
    */
    @ApiModelProperty("工号所属列")
    private Integer jobNumberColumn;
    /**
    * 名称所属列
    */
    @ApiModelProperty("名称所属列")
    private Integer personnelNameColumn;
    /**
    * 合计所属列
    */
    @ApiModelProperty("合计所属列")
    private Integer amountToColumn;

}
