package com.xjrsoft.module.personnel.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
public class ReservationSchoolVisitorPageDto extends PageInput {
    /**
     * 访问时间 yyyy-MM-dd
     */
    @ApiModelProperty("访问时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime visitTime;

    /**
     * 访客名称
     */
    @ApiModelProperty("访客名称")
    private String name;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String identityCard;

    /**
     * 到访部门id
     */
    @ApiModelProperty("到访部门id")
    private Long deptId;
}
