package com.xjrsoft.module.print.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Author: tzx
 * @Date: 2023/5/23 16:04
 */
@Data
public class PrintSetConfigDto {

    @ApiModelProperty("菜单id")
    @NotNull(message = "菜单id 不能为空！")
    private Long menuId;

    @ApiModelProperty("按钮id")
    @NotNull(message = "按钮id 不能为空！")
    private Long buttonId;

    @ApiModelProperty("按钮code")
    @NotBlank(message = "按钮code 不能为空！")
    private String buttonCode;

    @ApiModelProperty("模板id")
    @NotNull(message = "模板id 不能为空！")
    private Long schemaId;

    @ApiModelProperty("api配置")
    private String apiConfig;
}
