package com.xjrsoft.module.room.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 寝室床位分页查询入参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class AdjustStudentBedDto extends PageInput {

    @ApiModelProperty("床位id")
    public Long bedId;

    @ApiModelProperty("学生userId")
    public Long studentUserId;

}
