package com.xjrsoft.module.room.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 寝室床位分页查询入参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class DistributeRoomBedPageDto extends PageInput {

    @ApiModelProperty("楼栋id")
    public Long officeBuildId;

    @ApiModelProperty("楼层")
    public Integer floorNumber;

    @ApiModelProperty("寝室号")
    public String roomName;

    @ApiModelProperty("入住性别")
    public String gender;

    @ApiModelProperty("班级id")
    public Long classId;

    @ApiModelProperty("入住身份")
    public String checkInStatus;
}
