package com.xjrsoft.module.room.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 寝室分页查询入参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class RoomPageDto extends PageInput {

    @ApiModelProperty("楼栋id")
    public Long officeBuildId;

    @ApiModelProperty("楼层")
    public Integer floorNumber;

    @ApiModelProperty("入住身份")
    public String checkInStatus;

    @ApiModelProperty("入住性别")
    public String gender;
}
