package com.xjrsoft.module.room.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 宿管任命分页查询入参
* @Author dzx
* @Date: 2023-12-29
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class RoomTeacherAppointPageDto extends PageInput {

    @ApiModelProperty("楼栋(base_office_build)")
    private Long officeBuildId;

    @ApiModelProperty("楼层号")
    private Integer floorNumber;

    @ApiModelProperty("寝室号")
    private String roomName;

    @ApiModelProperty("入住性别")
    private String gender;

    @ApiModelProperty("宿管员id")
    private Long userId;

    @ApiModelProperty("入住身份")
    private String identity;
}
