package com.xjrsoft.module.room.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.room.dto.RoomValueWeekPageDto;
import com.xjrsoft.module.room.entity.RoomValueWeekItem;
import com.xjrsoft.module.room.vo.RoomValueWeekPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 宿管值班管理(人员)
* @Author dzx
* @Date: 2024-01-03
* @Version 1.0
*/
@Mapper
public interface RoomValueWeekItemMapper extends MPJBaseMapper<RoomValueWeekItem> {

    Page<RoomValueWeekPageVo> getItemPage(Page<RoomValueWeekPageDto> page, @Param("dto") RoomValueWeekPageDto dto);

    List<RoomValueWeekPageVo> getItemList(@Param("dto") RoomValueWeekPageDto dto);

    Integer getMaxSortCode();

}
