package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
* @title: 寝室床位分页列表出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class AdjustBedStudentPageVo {

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("床位id")
    private String id;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("楼栋名称")
    private String buildName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("寝室名称")
    private String roomName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("入住性别")
    private String genderCn;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("床位")
    private String bedNumber;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("学生名称")
    private String studentName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("学生id(null即为未设置寝室长，非空即为设置了寝室长)")
    private String studentUserId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("寝室长id(null即为未设置寝室长，非空即为设置了寝室长)")
    private String studentAppointId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否）")
    private Integer isMax;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("寝室id")
    private String roomId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级名称")
    private String className;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("年级名称")
    private String gradeName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班主任id")
    private String teacherId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班主任名称")
    private String teacherName;

}
