package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 寝室床位分页列表出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class DistributeResultClassVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级id")
    private String classId;

    /**
     * 学生姓名
     */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("学生姓名")
    private String className;

    private List<DistributeResultListVo> studentList;

}
