package com.xjrsoft.module.room.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 宿管值班管理excel导出
* @Author dzx
* @Date: 2024-01-04
* @Version 1.0
*/
@Data
public class RoomValueWeekExcelVo {

    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private Date endTime;

    /**
     * roomValueWeekItem
     */
    @ApiModelProperty("roomValueWeekItem子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "roomValueWeekId")
    private List<RoomValueWeekItemExcelVo> itemList;


}
