package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 新生账号激活
* @Author dzx
* @Date: 2024年7月13日
* @Version 1.0
*/
@Data
public class ActiveAccountDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("家长姓名")
    private String parentName;

    @ApiModelProperty("家长手机号")
    private String parentMobile;
}
