package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 学生班级巡查考核-关联班级
* @Author fanxp
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
public class AddBaseStudentAssessmentClassRelationDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 班级编号id
    */
    @ApiModelProperty("班级编号id")
    private Long classId;
    /**
    * 学生班级巡查考核id
    */
    @ApiModelProperty("学生班级巡查考核id")
    private Long baseStudentAssessmentInspectionId;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 班主任姓名
    */
    @ApiModelProperty("班主任姓名")
    private String teacherName;

}
