package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 助学金申请学生信息
* @Author devil
* @Date: 2023-11-29
* @Version 1.0
*/
@Data
public class AddBaseStudentBursariesStudentDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 助学金申请ID(base_student_bursaries_applicant)
    */
    @ApiModelProperty("助学金申请ID(base_student_bursaries_applicant)")
    private Long baseStudentBursariesApplicantId;
    /**
    * 学生id
    */
    @ApiModelProperty("学生id")
    private Long userId;
    /**
    * 年级名称
    */
    @ApiModelProperty("年级名称")
    private String gradeName;
    /**
    * 班级名称
    */
    @ApiModelProperty("班级名称")
    private String className;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String genderName;
    /**
    * 招生类型名称
    */
    @ApiModelProperty("招生类型名称")
    private String enrollTypeCn;
    /**
    * 在读专业
    */
    @ApiModelProperty("在读专业")
    private String majorName;
    /**
    * 收款银行(xjr_dictionary_item[bank_type])
    */
    @ApiModelProperty("收款银行(xjr_dictionary_item[bank_type])")
    private String bankType;
    /**
    * 银行卡号
    */
    @ApiModelProperty("银行卡号")
    private String bankNo;
    /**
    * 申请金额
    */
    @ApiModelProperty("申请金额")
    private Double applicantAmount;

}
