package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 学籍异动类别
* @Author phoenix
* @Date: 2023-11-29
* @Version 1.0
*/
@Data
public class AddSchoolRollCategoryDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 学籍异动类型(xjr_dictionary_item[school_change_type])
    */
    @ApiModelProperty("学籍异动类型(xjr_dictionary_item[school_change_type])")
    private String scholarshipSource;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
