package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;



/**
* @title: 干部候选人
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Data
public class AddWfCadreCandidateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 申请时间
    */
    @ApiModelProperty("申请时间")
    private Date applicantTime;
    /**
    * 干部部门编号
    */
    @ApiModelProperty("干部部门编号")
    private Long cadreDeptId;
    /**
    * 班级名称
    */
    @ApiModelProperty("班级名称")
    private String className;
    /**
    * 部门指导教师用户编号
    */
    @ApiModelProperty("部门指导教师用户编号")
    private Long instructorUserId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

}
