package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentUserPageDto extends PageInput {

    /**
     * 账户
     */
    @ApiModelProperty("账户")
    private String userName;
    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 邮箱
     */
    @ApiModelProperty("邮箱")
    private String email;

    /**
     * 权限标识
     */
    @ApiModelProperty("权限标识")
    private Integer tokenType;

    /**
     * 班级id
     */
    @ApiModelProperty("树id")
    private String treeId;

    @ApiModelProperty("树类型(1:部门  2:专业  3:年级  4:班级)")
    private Integer treeType;

    /**
     * 班级id
     */
    @ApiModelProperty("树-查询id")
    private String queryId;

    @ApiModelProperty("身份证号")
    private String credentialNumber;

}
