package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 专业方向招生计划详情分页查询入参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class EnrollmentPlanMajorSetPageDto extends PageInput {
    /**
     * 招生计划维护id(enrollment_plan)
     */
    @ApiModelProperty("招生计划维护id(enrollment_plan)")
    private Long enrollmentPlanId;
    /**
     * 所属专业部
     */
    @ApiModelProperty("所属专业部")
    private Long departmentId;
    /**
     * 招生专业方向名称
     */
    @ApiModelProperty("招生专业方向名称")
    private String baseMajorSetIdCn;
}
