package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.BaseStudentBursariesApplicantPageDto;
import com.xjrsoft.module.student.entity.BaseStudentBursariesApplicant;
import com.xjrsoft.module.student.vo.BaseStudentBursariesApplicantPageVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 助学金申请
* @Author dzx
* @Date: 2023-11-24
* @Version 1.0
*/
@Mapper
public interface BaseStudentBursariesApplicantMapper extends MPJBaseMapper<BaseStudentBursariesApplicant> {
    /**
     * 助学金申请名单查询
     * @param page
     * @param dto
     * @return
     */
    Page<BaseStudentBursariesApplicantPageVo> getPage(Page<BaseStudentBursariesApplicantPageDto> page, BaseStudentBursariesApplicantPageDto dto);

}
