package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.BaseStudentGraduatePageDto;
import com.xjrsoft.module.student.entity.BaseStudentGraduate;
import com.xjrsoft.module.student.vo.BaseStudentGraduatePageVo;
import com.xjrsoft.module.student.vo.BaseStudentGraduateVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @title: 学生毕业管理
* @Author dzx
* @Date: 2024-01-26
* @Version 1.0
*/
@Mapper
public interface BaseStudentGraduateMapper extends MPJBaseMapper<BaseStudentGraduate> {

    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<BaseStudentGraduatePageVo> getPage(Page<BaseStudentGraduatePageDto> page, BaseStudentGraduatePageDto dto);

    BaseStudentGraduateVo getInfoById(@Param("id") Long id);
}
