package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 奖学金级别表单出参
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Data
public class BaseStudentScholarshipLevelVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 奖学金类别ID(base_student_scholarship_category)
    */
    @ApiModelProperty("奖学金类别ID(base_student_scholarship_category)")
    private Long baseStudentScholarshipCategoryId;
    /**
    * 奖学金等级 0=无等级
    */
    @ApiModelProperty("奖学金等级 0=无等级")
    private Integer level;
    /**
    * 金额
    */
    @ApiModelProperty("金额")
    private Double amount;



}
