package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 奖学金发放记录表表单出参
* @Author dzx
* @Date: 2024-07-25
* @Version 1.0
*/
@Data
public class BaseStudentScholarshipReleaseVo {
    /**
    * 奖学金申请id
    */
    @ApiModelProperty("奖学金申请id")
    private Long scholarshipApplicantId;
    /**
    * 发放金额
    */
    @ApiModelProperty("已发放金额")
    private Double releaseAmount;
    /**
    * 发放日期
    */
    @ApiModelProperty("申请总金额")
    private Double totalAmount;
}
