package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 毕业学校招生计划详情分页列表出参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class EnrollmentPlanGraduateSchoolPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 专业方向招生计划详情id(enrollment_plan_major_set)
    */
    @ApiModelProperty("专业方向招生计划详情id(enrollment_plan_major_set)")
    private Long enrollmentPlanMajorSetId;
    /**
    * 毕业学校id(base_graduate_school)
    */
    @ApiModelProperty("毕业学校id(base_graduate_school)")
    private Long baseGraduateSchoolId;
    /**
     * 毕业学校id(base_graduate_school)
     */
    @ApiModelProperty("毕业学校id(base_graduate_school)")
    private String baseGraduateSchoolIdCn;
    /**
    * 毕业学校计划招生人数
    */
    @ApiModelProperty("毕业学校计划招生人数")
    private Integer enrollmentNum;

}
