package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 专业方向招生计划详情分页列表出参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class EnrollmentPlanMajorSetPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 招生计划维护id(enrollment_plan)
    */
//    @ApiModelProperty("招生计划维护id(enrollment_plan)")
//    private Long enrollmentPlanId;
    /**
    * 专业方向id(base_major_set)
    */
//    @ApiModelProperty("专业方向id(base_major_set)")
//    private Long baseMajorSetId;
    /**
    * 专业方向计划招生人数
    */
    @ApiModelProperty("专业方向计划招生人数")
    private Integer baseMajorSetEnrollmentNum;
    /**
    * 专业方向最大计划招生人数
    */
    @ApiModelProperty("专业方向最大计划招生人数")
    private Integer baseMajorSetEnrollmentNumMax;

    /**
     * 招生毕业中学数
     */
    @ApiModelProperty("招生毕业中学数")
    private Integer graduateSchoolSum;

    /**
     * 适用学制(base_major)
     */
    @ApiModelProperty("适用学制(base_major)")
    private Double studyYear;

    /**
     * 招生专业方向名称
     */
    @ApiModelProperty("招生专业方向名称")
    private String baseMajorSetIdCn;
    /**
     * 层次
     */
    @ApiModelProperty("层次")
    private String baseMajorGradationIdCn;
    /**
     * 所属专业部
     */
    @ApiModelProperty("所属专业部")
    private String departmentIdCn;
}
