package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 招生计划维护表单出参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class PreviewEnrollmentPlanListVo {
    /**
     * 层次
     */
    @ApiModelProperty("层次")
    private String baseMajorGradationIdCn;
    /**
     * 招生专业方向名称
     */
    @ApiModelProperty("招生专业方向名称")
    private String baseMajorSetIdCn;
    /**
     * 适用学制(base_major)
     */
    @ApiModelProperty("适用学制(base_major)")
    private Double studyYear;
    /**
     * 专业方向计划招生人数
     */
    @ApiModelProperty("专业方向计划招生人数")
    private Integer baseMajorSetEnrollmentNum;
    /**
     * 招生毕业中学
     */
    @ApiModelProperty("招生毕业中学")
    private String graduateSchool;
}
