package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学籍异动原因分页列表出参
* @Author szs
* @Date: 2023-11-29
* @Version 1.0
*/
@Data
public class SchoolRollReasonPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 原因
    */
    @ApiModelProperty("原因")
    private String reason;
    /**
    * 学籍异动类别ID(school_roll_category)
    */
    @ApiModelProperty("学籍异动类别ID(school_roll_category)")
    private Long schoolRollCategoryId;
    /**
     * 学籍异动类别ID中文(school_roll_category)
     */
    @ApiModelProperty("学籍异动类别ID中文(school_roll_category)")
    private String schoolRollCategoryIdCN;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
