package com.xjrsoft.module.teacher.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;



/**
* @title: 教师奖项
* @Author dzx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class AddTeacherAwardItemDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 奖项名称
    */
    @ApiModelProperty("奖项名称")
    private String name;
    /**
    * 是否论文（1：是 0：否）
    */
    @ApiModelProperty("是否论文（1：是 0：否）")
    private Integer isThesis;
    /**
    * 是否频分标准（1：是 0：否）
    */
    @ApiModelProperty("是否频分标准（1：是 0：否）")
    private Integer isStandard;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private BigDecimal score;
    /**
    * 父级id
    */
    @ApiModelProperty("父级id")
    private Long parentId;

}
