package com.xjrsoft.module.teacher.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 教职工请假流程分页列表出参
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Data
public class WfTeacherleavePageVo {

    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private String id;
    /**
    * 申请人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人")
    private String userId;
    /**
    * 是否中层
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("是否中层")
    @ApiModelProperty("是否中层")
    private String middleLevelOrNot;
    /**
    * 所在部门
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("所在部门")
    @ApiModelProperty("所在部门")
    private String department;
    /**
    * 是否班主任
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("是否班主任")
    @ApiModelProperty("是否班主任")
    private String isItAHomeroomTeacher;
    /**
    * 请假事由
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("请假事由")
    @ApiModelProperty("请假事由")
    private String reasonForLeave;
    /**
    * 请假开始时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("请假开始时间")
    @ApiModelProperty("请假开始时间")
    private Date leaveStartTime;
    /**
    * 请假天数
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("请假天数")
    @ApiModelProperty("请假天数")
    private Double leaveDays;
    /**
    * 请假结束时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("请假结束时间")
    @ApiModelProperty("请假结束时间")
    private Date leaveEndTime;
    /**
    * 请假类型
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("请假类型")
    @ApiModelProperty("请假类型")
    private String leaveType;
    /**
    * 附件
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("附件")
    @ApiModelProperty("附件")
    private String annex;

}
