package com.xjrsoft.module.textbook.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学科组管理分页查询入参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class SubjectGroupCoursePageDto extends PageInput {

    /**
     * 学科组管理编号(subject_group)
     */
    @ApiModelProperty("学科组管理编号(subject_group)")
    private Long subjectGroupId;

}
