package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
* @title: 教师帮助学生确认已经领取入参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TeacherConfirmDto {
    /**
     * 学生教材认领主键编号
     */
    @ApiModelProperty("学生教材认领主键编号")
    private Long textbookStudentClaimId;
    /**
     * 教材主键编号
     */
    @ApiModelProperty(value = "教材主键编号")
    private Long textbookId;
    /**
     * 学生id
     */
    @ApiModelProperty("学生id")
    private Long studentUserId;
    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;
}
