package com.xjrsoft.module.textbook.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
* @title: 教材出库记录导出入参
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class TextbookIssueRecordExportDto{
    /**
     * 主键编号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private List<String> ids;
}
