package com.xjrsoft.module.textbook.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.module.textbook.vo.WfTextbookSubscriptionItemVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 教材教辅征订表单入参
* @Author szs
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class WfTextbookSubscriptionDto {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    private Long wfTextbookSubscriptionItemId;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookType;
    /**
     * 书名
     */
    @ApiModelProperty("书名")
    private String bookName;
    /**
     * 课程编号(base_course_subject)
     */
    @ApiModelProperty("课程编号(base_course_subject)")
    private String courseSubjectIdCn;

}
