package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 教材领取人员分页列表出参
* @Author dzx
* @Date: 2023-12-29
* @Version 1.0
*/
@Data
public class TextbookClaimUserPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材申领编号
    */
    @ApiModelProperty("教材申领编号")
    private Long wfTextbookClaimId;
    /**
    * 用户编号
    */
    @ApiModelProperty("用户编号")
    private Long userId;
    /**
    * 用户类型（1：学生 2=教师）
    */
    @ApiModelProperty("用户类型（1：学生 2=教师）")
    private Integer userType;

}
