package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 教材入库分页列表出参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class TextbookWarehouseRecordExcelVo {


    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;

    /**
     * 来源
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书号")
    @ApiModelProperty("书号")
    private String issn;

    /**
    * 书名
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书名")
    @ApiModelProperty("书名")
    private String bookName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出版社")
    @ApiModelProperty("出版社")
    private String publishingHouse;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("作者（主编）")
    @ApiModelProperty("作者（主编）")
    private String editorInChief;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学科组")
    @ApiModelProperty("学科组")
    private String groupName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("对应课程")
    @ApiModelProperty("对应课程")
    private String courseName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("类型")
    @ApiModelProperty("类型")
    private String textbookTypeCn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("规格型号")
    @ApiModelProperty("规格型号")
    private String specificationsModels;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入库人员")
    @ApiModelProperty("入库人员")
    private String warehouseUser;

    /**
    * 入库数量
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入库数量")
    @ApiModelProperty("入库数量")
    private Integer warehouseNumber;



}
