package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 教材入库表单出参
* @Author dzx
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class TextbookWarehouseRecordListVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("入库时间")
    private Date warehouseDate;
    /**
    * 序号
    */
    @ApiModelProperty("入库人员")
    private String warehouseUser;
    /**
    * 入库数量
    */
    @ApiModelProperty("入库数量")
    private Integer warehouseNumber;
    /**
    * 来源
    */
    @ApiModelProperty("来源")
    private String source;



}
