package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 教材申领分页列表出参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class WfTextbookClaimListVo {

    /**
    * 学期
    */
    @ApiModelProperty("学期")
    private String semesterName;
    /**
    * 领取人身份
    */
    @ApiModelProperty("领取人身份")
    private String claimIdentity;
    /**
    * 班级
    */
    @ApiModelProperty("班级")
    private String className;
    /**
     * 领取人员
     */
    @ApiModelProperty("领取人员")
    private String name;
    /**
    * 学号/工号
    */
    @ApiModelProperty("学号/工号")
    private String userName;

    /**
     * 领取时间
     */
    @ApiModelProperty("领取时间")
    private Date claimDate;
}
