package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 推书申请分页列表出参
* @Author szs
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
public class WfTextbookRecedePageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 学期ID(base_semester)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学期ID(base_semester)")
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 班级编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级编号")
    @ApiModelProperty("班级编号")
    private Long classId;
    /**
    * 退书类型(xjr_dictionary_item[recede_type])
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("退书类型(xjr_dictionary_item[recede_type])")
    @ApiModelProperty("退书类型(xjr_dictionary_item[recede_type])")
    private String recedeType;
    /**
    * 退还地点
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("退还地点")
    @ApiModelProperty("退还地点")
    private String recedeAddress;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态（1:结束 0:未结束）")
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

}
