package com.xjrsoft.module.workflow.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class IsChooseApproveDto {
    @ApiModelProperty("流程任务id")
    @NotBlank(message = "流程任务id不能为空")
    private String taskId;

    @ApiModelProperty("审批类型 0 同意 1 拒绝 2 驳回 3 结束 4 其他（用户自定义按钮） ")
    @NotNull(message = "审批类型不能为空")
    private Integer approvedType;
}
