package com.xjrsoft.module.workflow.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Author: tzx
 * @Date: 2023/2/7 15:14
 */
@Data
public class RestartDto {

    /**
     * 流程模板id
     */
    @NotBlank(message = "模板id 不能为空！")
    private String schemaId;


    /**
     * 流程id
     */
    @NotBlank(message = "流程id 不能为空！")
    private String processId;
}
