package com.xjrsoft.module.xycxedu.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 考试计划维护分页查询入参
* @Author dzx
* @Date: 2024-07-18
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class ExamPlanPageDto extends PageInput {

    @ApiModelProperty("学期id")
    private Long semesterId;

    @ApiModelProperty("计划名称")
    private String name;

}
