package com.xjrsoft.module.xycxedu.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;


/**
* @title: 晓羊策学考试计划表
* @Author dzx
* @Date: 2024年7月18日
* @Version 1.0
*/
@Data
@TableName("xycxedu_exam_list")
@ApiModel(value = "晓羊策学考试计划表", description = "晓羊策学考试计划表")
public class XycxeduExamList implements Serializable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建时间
    */
    @ApiModelProperty("首次推送时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;

    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 表名
    */
    @ApiModelProperty("考试计划id")
    private Long milexamid;
    /**
    * 英文姓名
    */
    @ApiModelProperty("考试计划名称")
    private String milexamname;
    /**
    * 姓名拼音
    */
    @ApiModelProperty("学年")
    private Integer regyear;

    @ApiModelProperty("年级名称")
    private String grade;

    @ApiModelProperty("考试时间")
    private LocalDate sdate;

}