package com.xjrsoft.module.xycxedu.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
* @title: 考试计划维护表单出参
* @Author dzx
* @Date: 2024-07-18
* @Version 1.0
*/
@Data
public class ExamStatisticsPageVo {

    /**
    * 考试计划名称
    */
    @ApiModelProperty("学期名称")
    private String semesterName;
    /**
    * 晓羊策学考试计划id
    */
    @ApiModelProperty("考试名称")
    private String milexamname;

    @ApiModelProperty("考试时间")
    private LocalDate sdate;

    @ApiModelProperty("学生数量")
    private Integer studentCount;

    @ApiModelProperty("班级数量")
    private Integer classCount;

    @ApiModelProperty("主键")
    private Long id;


}
