-- ----------------------------------------------
-- 节假日
-- ----------------------------------------------
DROP TABLE IF EXISTS holiday_date;
CREATE TABLE `holiday_date` (
  `id` BIGINT NOT NULL COMMENT '主键编号',
  `date` VARCHAR(20) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL COMMENT '日期yyyy-MM-dd',
  `year` INT NOT NULL,
  `month` INT NOT NULL,
  `day` INT NOT NULL,
  `status` INT DEFAULT '0' COMMENT '0=普通工作日 1=周末 2=需要补班的工作日 3=法定节假日',
  `way` INT NOT NULL DEFAULT '1' COMMENT '方式 1=系统数据 2=用户数据',
  `delete_status` INT NOT NULL DEFAULT '0' COMMENT '删除状态 0=正常 1=删除',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `only` (`date`) USING BTREE
) ENGINE=INNODB DEFAULT CHARSET=utf8mb3;
