package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author: zlf
 * @Date: 2022/10/9 15:51
 */
@Data
@Component
@ConfigurationProperties("xjrsoft.common")
public class CommonPropertiesConfig {

    private String druidAccount;

    private String druidPassword;

    private String defaultPassword;

    /**
     * api域名地址
     */
    private String domainApi;

    /**
     * web域名地址
     */
    private String domainWeb;

    /**
     * app域名地址
     */
    private String domainApp;

    private List<String> excludeUrls;

    private List<String> whiteList;

    private Integer approvalTime;
}
