package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * magic-api 配置
 * @author tzx
 */
@Data
@Configuration
@ConfigurationProperties("magic-api")
public class MagicApiConfig {

    /**
     * 页面地址  magic-api
     */
    private String web;

    /**
     * 接口前缀
     */
    private String prefix;

}
