package com.xjrsoft.module.assessment.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;



/**
* @title: 考核模板
* @Author dzx
* @Date: 2024-03-29
* @Version 1.0
*/
@Data
public class AddAssessmentTemplateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Long score;

    /**
    * assessmentQuestion
    */
    @ApiModelProperty("大题")
    private List<AddAssessmentQuestionDto> children;

}
