package com.xjrsoft.module.assessment.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 考核计划分页查询入参
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class AssessmentTemplatePlanPageDto extends PageInput {

    @ApiModelProperty("计划名称")
    private String name;

    @ApiModelProperty("模板名称")
    private String assessmentTemplateName;

    @ApiModelProperty("模板id")
    private Long assessmentTemplateId;

    @ApiModelProperty("状态(0:未发布 1:已发布)")
    private Integer status;
}
