package com.xjrsoft.module.assessment.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.assessment.entity.AssessmentQuestion;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

/**
* @title: 考核模板题目
* @Author dzx
* @Date: 2024-03-29
* @Version 1.0
*/
@Mapper
public interface AssessmentQuestionMapper extends MPJBaseMapper<AssessmentQuestion> {
    @Update("update assessment_question set delete_mark = 1,modify_date = now(),modify_user_id = #{loginId} WHERE assessment_template_id = #{assessmentTemplateId}")
    Boolean deleteByAssessmentQuestionId(Long assessmentTemplateId, Long loginId);
}
