package com.xjrsoft.module.assessment.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
* @title: 考核题目答案出参
* @Author dzx
* @Date: 2024-03-29
* @Version 1.0
*/
@Data
public class AssessmentQuestionResultDetailVo implements Serializable {

    @ApiModelProperty("")
    private Long id;

    @ApiModelProperty("题目题干")
    private String name;

    @ApiModelProperty("分数")
    private Long score;

    @ApiModelProperty("题目类型")
    private String type;

    @ApiModelProperty("类别(1:大题 2:小题 3:选项)")
    private Integer category;

    @ApiModelProperty("父级id")
    private Long parentId;

    @ApiModelProperty("小题是否必填(1:是 0:否)")
    private Short required;

    @ApiModelProperty("数量")
    private Integer count;

    @ApiModelProperty("子集")
    private List<AssessmentQuestionOptionResultVo> resultList;

}
