package com.xjrsoft.module.asset.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.asset.dto.WfAssetManageConditionalSearchQueryDto;
import com.xjrsoft.module.asset.dto.WfAssetManagePageDto;
import com.xjrsoft.module.asset.dto.WfAssetManageSelectRecordQueryDto;
import com.xjrsoft.module.asset.entity.WfAssetManage;
import com.xjrsoft.module.asset.vo.WfAssetManagePageVo;

import java.io.ByteArrayOutputStream;

/**
* @title: 资产管理
* @Author dzx
* @Date: 2024-03-28
* @Version 1.0
*/

public interface IWfAssetManageService extends MPJBaseService<WfAssetManage> {
    IPage<WfAssetManagePageVo> getPage(WfAssetManagePageDto dto);

    ByteArrayOutputStream listWfAssetManageSelectRecordQuery(WfAssetManageSelectRecordQueryDto dto);

    ByteArrayOutputStream listWfAssetManageConditionalSearchQuery(WfAssetManageConditionalSearchQueryDto dto);
}
