package com.xjrsoft.module.banding.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 新生分班任务分页查询入参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BandingTaskClassPageDto{

    @ApiModelProperty("任务id")
    private Long bandingTaskId;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("招生类型")
    private String enrollType;
}
