package com.xjrsoft.module.banding.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 新生分班任务分页列表出参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class BandingTaskClassSureListVo {

    @ApiModelProperty("主键编号")
    private Long id;

    @ApiModelProperty("班级排序")
    private Integer sortCode;

    @ApiModelProperty("专业方向id")
    private Long majorSetId;

    @ApiModelProperty("专业方向")
    private String majorSetName;

    @ApiModelProperty("班级名称")
    private String name;

    @ApiModelProperty("班主任名称")
    private String teacherName;

    @ApiModelProperty("教室名称")
    private String classroomName;

    @ApiModelProperty("班级人数")
    private Integer number;

    @ApiModelProperty("是否是订单班")
    private Integer isOrderClass;

    @ApiModelProperty("男生人数")
    private Integer maleCount;

    @ApiModelProperty("女生人数")
    private Integer femaleCount;

    @ApiModelProperty("住校人数")
    private Integer stayCount;

    @ApiModelProperty("走读人数")
    private Integer notStayCount;


}
