package com.xjrsoft.module.base.dto;

import com.tencentcloudapi.cam.v20190116.models.StrategyInfo;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 白名单管理分页查询入参
* @Author brealinxx
* @Date: 2024-06-24
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class WhitelistManagementPageDto extends PageInput {

    @ApiModelProperty("学号")
    private String credentialNumber;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("手机号码")
    private Long phone;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("就读方式")
    private String readWay;
}
