package com.xjrsoft.module.dataexpert.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 数据导出-数据源设置表单出参
* @Author dzx
* @Date: 2024-04-19
* @Version 1.0
*/
@Data
public class DataExpertTemplateFieldVo {


    @ApiModelProperty("")
    private Long id;

    @ApiModelProperty("数据源(data_expert_source)")
    private Long dataExpertSourceId;


    @ApiModelProperty("字段名称")
    private String fieldName;

    @ApiModelProperty("映射名称")
    private String showName;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("数据分组")
    private String dataGroup;

}
