package com.xjrsoft.module.evaluate.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 评价管理移动端首页分页查询入参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class MobileIndexPageDto extends PageInput {
    @ApiModelProperty(value = "关键字")
    private String keyword;

    @ApiModelProperty(value = "登录者id（前端不传，后端传）", hidden = true)
    private Long loginUserId;
}
