package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 评价项表单根据标题名称分组出参
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
public class EvaluateManageItemByTopicVo {

    /**
    * 标题名称
    */
    @ApiModelProperty("标题名称")
    private String topic;

    /**
     * 评价项表单集合
     */
    @ApiModelProperty("评价项表单集合")
    private List<EvaluateManageItemVo> evaluateManageItemVoList;
}
