package com.xjrsoft.module.form.dto;

import com.xjrsoft.common.page.PageInput;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Range;

@Data
@EqualsAndHashCode(callSuper = false)
public class FormTemplateDeskPageDto extends PageInput {
    @Range(min = 0, max = 1, message = "表单类型只能为0或1")
    private Integer type;
    private Long category = 0L;
}
