package com.xjrsoft.module.generator.dto;

import com.xjrsoft.module.generator.entity.TableConfig;
import lombok.Data;

import javax.sql.DataSource;
import java.util.List;

@Data
public class ApiGenerateCodesDto {
    /**
     * 包名
     */
    private String packageName;
    /**
     * 作者
     */
    private String author;
    /**
     * 数据源
     */
    private DataSource ds;
    /**
     * 是否分页
     */
    private boolean isPage;
    /**
     * 是否导入
     */
    private boolean isImport;
    /**
     * 是否导出
     */
    private boolean isExport;
    /**
     * 是否生成在主目录
     */
    private boolean isOutMainDir;
    /**
     * 表配置
     */
    private List<TableConfig> tableConfigs;
}
