package com.xjrsoft.module.ledger.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 台账配置表分页列表出参
* @Author dzx
* @Date: 2024-03-06
* @Version 1.0
*/
@Data
public class LedgerConfigPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 台账名称
    */
    @ApiModelProperty("台账名称")
    private String name;
    /**
    * magicapi接口地址
    */
    @ApiModelProperty("magicapi接口地址")
    private String apiUrl;
    /**
    * 台账配置信息
    */
    @ApiModelProperty("台账配置信息")
    private String configJson;

    @ApiModelProperty("台账配置信息")
    private Date createDate;

}
