package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.student.service.IStudentAdmissionApplicationService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 预约进校-进校人员，通过后修改状态
 */
@Component("student_admission_application_node")
public class StudentAdmissionApplicationNode extends NodeComponent {

    @Autowired
    private IStudentAdmissionApplicationService studentAdmissionApplicationService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            studentAdmissionApplicationService.toHikvision(formId);
        }
    }


}