package com.xjrsoft.module.material.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MaterialAssignUserDto {

    /**
     * 用户类型 1=孝职工 2=学生
     */
    @ApiModelProperty("用户类型 1=部门 2=班级 3=用户")
    private Integer userType;
    /**
     * 用户(xjr_user)
     */
    @ApiModelProperty("用户(xjr_user)")
    private Long userId;
    /**
     * 学号/工号
     */
    @ApiModelProperty("学号/工号")
    private String userNumber;

    /**
     * 是否发送消息 0=不发 1=发送 类型里不需要
     */
    @ApiModelProperty("是否发送消息 0=不发 1=发送")
    private Integer sendMessage;
}
