package com.xjrsoft.module.material.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

@Data
public class MaterialTaskAssignAppendixDto {
    /**
     * 材料提交任务分配对象ID
     */
    @ApiModelProperty("材料提交任务分配对象ID")
    private Long materialTaskAssignId;

    /**
     * 任务类型(可多选 xjr_dictionary_detail[material_category])
     */
    @ApiModelProperty("任务类型(可多选 xjr_dictionary_detail[material_category])")
    private String materialCategory;

    /**
     * 表单模板id
     */
    @NotNull(message = "表单模板id")
    private Long templateId;

    /**
     * 自定义表单 表单数据
     */
    private Map<String,Object> formData;

    /**
     * materialTaskAppendix
     */
    @ApiModelProperty("materialTaskAppendix子表")
    private List<AddMaterialTaskAppendixDto> materialTaskAppendixList;
}
