package com.xjrsoft.module.material.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ViewContentDto {
    /**
     * 主键id
     */
    @NotBlank(message = "自定义表单 数据id 不能为空")
    @ApiModelProperty("自定义表单 数据的主键id")
    private String id;

    /**
     * 表单模板id
     */
    @ApiModelProperty("自定义表单 表单模板id")
    private Long templateId;
}
