package com.xjrsoft.module.oa.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class UpdateNewsRelationDto {

    @ApiModelProperty("新闻ID")
    @NotNull(message = "新闻ID不能为空")
    private Long id;

    @ApiModelProperty("关系类型 1=部门 2=人员 3=班级")
    private Integer relationType;

    @ApiModelProperty("关系列表")
    private List<NewsRelationConfigDto> relationList;
}
