package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@TableName("xjr_oa_news_appendix")
@ApiModel(value = "NewsRelation对象", description = "新闻中心附件表")
@Data
@EqualsAndHashCode(callSuper = false)
public class NewsAppendix {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("新闻主键")
    private Long newsId;

    @ApiModelProperty("文件主键")
    private Long fileId;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
}
