package com.xjrsoft.module.oa.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.oa.entity.FileReceive;

/**
* @title: 文件接收管理
* @Author fanxp
* @Date: 2023-11-03
* @Version 1.0
*/

public interface IFileReceiveService extends MPJBaseService<FileReceive> {
    /**
     * 收文数据缓存
     *
     * @param id
     * @return
     */
    void pullDataCache(Long id);

    /**
     * 发文数据缓存
     *
     * @param id
     * @return
     */
    void pushDataCache(Long id);
}
