package com.xjrsoft.module.oa.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
* @title: 文件接收管理表单出参
* @Author fanxp
* @Date: 2023-11-03
* @Version 1.0
*/
@Data
public class FileReceivePullVo {

    /**
     *
     */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
     * 来文标题
     */
    @ApiModelProperty("来文标题")
    private String title;
    /**
     * 收文编号
     */
    @ApiModelProperty("收文编号")
    private String number;
    /**
     * 缓急
     */
    @ApiModelProperty("缓急")
    private String urgency;
    /**
     * 来文字号
     */
    @ApiModelProperty("来文字号")
    private String pullNumber;
    /**
     * 来文日期
     */
    @ApiModelProperty("来文日期")
    private LocalDateTime pullDate;
    /**
     * 来文机关
     */
    @ApiModelProperty("来文机关")
    private String institution;
    /**
     * 密级
     */
    @ApiModelProperty("密级")
    private String classification;
    /**
     * 拟办意见
     */
    @ApiModelProperty("拟办意见")
    private String opinion;
    /**
     * 领导批示
     */
    @ApiModelProperty("领导批示")
    private String leaderOpinion;
    /**
     * 部门办理情况
     */
    @ApiModelProperty("部门办理情况")
    private String organHandleStatus;
    /**
     * 收文人
     */
    @ApiModelProperty("收文人")
    private String userNameCn;
    /**
     * 公文附件
     */
    @ApiModelProperty("公文附件")
    private String files;

    /**
     * 公文附件列表
     */
    @ApiModelProperty("公文附件列表")
    private List<File> fileInfos;
}
