package com.xjrsoft.module.organization.dto;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class LoginResetPasswordDto implements Serializable {
    @NotNull
    @Length(min = 6,max = 32,message = "新密码长度不得小于6个字符，不得大于32个字符！")
    private String newPassword;

    @NotNull
    @Length(min = 6,max = 32,message = "确认密码长度不得小于6个字符，不得大于32个字符！")
    private String confirmPassword;
}
