package com.xjrsoft.module.organization.vo;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @title: UserPageVo
 * @Author tzx
 * @Date: 2022/4/4 17:02
 * @Version 1.0
 */
@Data
public class UserPageVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;
    /**
     * 账户
     */
    private String userName;

    /**
     * 姓名
     */
    private String name;

    /**
     * 编号
     */
    private String code;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 性别
     */
    private String gender;

    /**
     * 性别中文
     */
    private String genderCn;

    /**
     * 手机号
     */
    private String mobile;


    /**
     * 头像
     */
    private String avatar;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 地址
     */
    private String address;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 排序码
     */
    private Integer sortCode;

    /**
     * 排序码
     */
    private String remark;



    private Integer enabledMark;

    private LocalDateTime createDate;

    private LocalDateTime modifyDate;

    private String employType;

    private String employWay;

    private Long classId;
}