package com.xjrsoft.module.outint.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;


/**
* @title: 教师出入记录分页查询入参
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
public class TeacherOutInRecordDto implements Serializable {
    /**
     * 记录开始时间
     */
    @ApiModelProperty("海康记录时间")
    private LocalDateTime recordTime;

    /**
     * 过车方向
     */
    @ApiModelProperty("进出状态(0:进 1:出)")
    private  Integer status;
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;


    /**
     * 记录开始时间
     */
    @ApiModelProperty("查询日期")
    private LocalDate queryDate;

}
