package com.xjrsoft.module.personnel.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 劳资管理信息表分页列表出参
* @Author brealinxx
* @Date: 2024-01-23
* @Version 1.0
*/
@Data
public class LaborManagementPageVo {

    /**
    * 主键
    */
    @ContentStyle(dataFormat = 49)
    @ExcelIgnore
    @ApiModelProperty("主键")
    private String id;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("工号")
    @ApiModelProperty("工号")
    private String userName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("姓名")
    @ApiModelProperty("姓名")
    private String name;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String gender;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入职时间")
    @ApiModelProperty("入职时间")
    private String startWorkTime;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("离职时间")
    @ApiModelProperty("离职时间")
    private String endWorkTime;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("在职状态")
    @ApiModelProperty("在职状态")
    private String jobState;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("人员类别")
    @ApiModelProperty("人员类别")
    private String natureOrganization;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("任职部门")
    @ApiModelProperty("任职部门")
    private String departName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("工作岗位")
    @ApiModelProperty("工作岗位")
    private String job;
}
