package com.xjrsoft.module.personnel.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 人员健康信息表分页列表出参
* @Author dzx
* @Date: 2024-07-23
* @Version 1.0
*/
@Data
public class PersonnelHealthyPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    private Integer enabledMark;
    /**
    * 疾病名称
    */
    @ApiModelProperty("疾病名称")
    private Long userId;
    /**
    * 疾病名称
    */
    @ApiModelProperty("疾病名称")
    private String name;
    /**
    * 疾病类别(xjr_dictionary_item[healthy_type])
    */
    @ApiModelProperty("疾病类别(xjr_dictionary_item[healthy_type])")
    private String type;
    /**
    * 病史来源
    */
    @ApiModelProperty("病史来源")
    private String source;

}
