package com.xjrsoft.module.personnel.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 学生人脸信息审核分页列表出参
* @Author dzx
* @Date: 2024-05-10
* @Version 1.0
*/
@Data
public class StundentFaceProcessPageVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    private Integer enabledMark;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 
    */
    @ApiModelProperty("")
    private String name;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 
    */
    @ApiModelProperty("")
    private String classCn;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private Long facePhoto;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
    * 班主任id
    */
    @ApiModelProperty("班主任id")
    private Long teacherId;

    /**
     * 班主任
     */
    @ApiModelProperty("班主任")
    private String teacherCn;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;
    /**
     * 人脸照片地址
     */
    @ApiModelProperty("人脸照片地址")
    private String facePhotoUrl;

    /**
     * 就读方式
     */
    @ApiModelProperty("就读方式")
    private String stduyStatus;
    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentId;
}
