package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;



/**
* @title: 查寝记录
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class AddRoomBedCheckRecordDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 填写人
    */
    @ApiModelProperty("填写人")
    private Long userId;
    /**
    * 班级编号
    */
    @ApiModelProperty("班级编号")
    private Long classId;
    /**
    * 查寝时间
    */
    @ApiModelProperty("查寝时间")
    private Date checkRecordTime;
    /**
    * 情况
    */
    @ApiModelProperty("情况")
    private String record;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;

    /**
    * roomBedCheckRecordRelation
    */
    @ApiModelProperty("roomBedCheckRecordRelation子表")
    private List<AddRoomBedCheckRecordRelationDto> roomBedCheckRecordRelationList;
}
