package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 寝室生成规则
* @Author dzx
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class AddRoomRuleDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 规则名称
    */
    @ApiModelProperty("规则名称")
    private String name;
    /**
    * 规则配置（多个规则用逗号隔开）
    */
    @ApiModelProperty("规则配置（多个规则用逗号隔开，1为楼栋，2为楼层，3为寝室号）")
    private String rule;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
