package com.xjrsoft.module.room.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 寝室床位表单出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class AppointPageRoomBedVo {

    /**
    * 寝室编号(room)
    */
    @ApiModelProperty("寝室编号(room)")
    private Long roomId;
    /**
     * 寝室床位编号(room_bed)
     */
    @ApiModelProperty("寝室床位编号(room_bed)")
    private Long roomBedId;
    /**
    * 学生用户编号
    */
    @ApiModelProperty("学生用户编号")
    private Long studentUserId;
    /**
     * 学生用户编号
     */
    @ApiModelProperty("学生用户编号")
    private String studentUserIdCN;
    /**
     * 职务
     */
    @ApiModelProperty("职务")
    private List<String> postList;
}
