package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 查寝记录分页列表出参
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class RoomBedCheckRecordPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 填写人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("填写人")
    @ApiModelProperty("填写人")
    private Long userId;
    /**
     * 填写人
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("填写人")
    @ApiModelProperty("填写人")
    private String userIdCN;
    /**
    * 班级编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级编号")
    @ApiModelProperty("班级编号")
    private Long classId;/**
     * 班级编号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级编号")
    @ApiModelProperty("班级编号")
    private String classIdCN;
    /**
    * 查寝时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("查寝时间")
    @ApiModelProperty("查寝时间")
    private Date checkRecordTime;
    /**
    * 情况
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("情况")
    @ApiModelProperty("情况")
    private String record;
    /**
    * 备注
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 附件文件id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("附件文件id")
    @ApiModelProperty("附件文件id")
    private Long fileId;

}
