package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 寝室床位分页列表出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class RoomBedExcelVo {

    /**
     * 序号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;

    /**
     * 楼栋名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("楼栋名称")
    @ApiModelProperty("楼栋名称")
    private String buildName;

    /**
     * 楼层
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("楼层")
    @ApiModelProperty("楼层")
    private Integer floorNumber;
    /**
     * 寝室名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室名称")
    @ApiModelProperty("寝室名称")
    private String roomName;

    /**
     * 床位号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("床位号")
    @ApiModelProperty("床位号")
    private Integer bedNumber;

    /**
     * 学生姓名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生姓名")
    @ApiModelProperty("学生姓名")
    private String studentName;

    /**
     * 学生学号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生学号")
    @ApiModelProperty("学生学号")
    private String studentId;

    /**
     * 手机号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("手机号")
    @ApiModelProperty("手机号")
    private String mobile;

    /**
     * 入住性别(xjr_dictionary_item[gender])
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入住性别")
    @ApiModelProperty("入住性别")
    private String genderCn;

    /**
     * 年级名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("年级名称")
    @ApiModelProperty("年级名称")
    private String gradeName;

    /**
     * 班级名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级名称")
    @ApiModelProperty("班级名称")
    private String className;
}
