package com.xjrsoft.module.room.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 寝室生成规则项表单出参
* @Author dzx
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class RoomRuleItemVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 寝室生成规则编号(room_rule)
    */
    @ApiModelProperty("寝室生成规则编号(room_rule)")
    private Long roomRuleId;
    /**
    * 楼栋(base_office_build)
    */
    @ApiModelProperty("楼栋(base_office_build)")
    private Long officeBuildId;



}
