package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;


/**
* @title: 新生维护信息
* @Author dzx
* @Date: 2024-06-27
* @Version 1.0
*/
@Data
public class AddStudentScholarshipDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("学期id")
    private Long semesterId;
    /**
    * 毕业学校
    */
    @ApiModelProperty("奖助学金id")
    private Long baseStudentScholarshipCategoryId;
    /**
    * 学生姓名
    */
    @ApiModelProperty("申请id")
    private List<Long> applicantIds;
    /**
    * 性别
    */
    @ApiModelProperty("等级")
    private Integer scholarshipLevel;
}
