package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 奖学金类别分页查询入参
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentScholarshipCategoryPageDto extends PageInput {

    @ApiModelProperty("奖学金名称")
    private String scholarshipName;

    @ApiModelProperty("奖学金来源")
    private String scholarshipSource;

    @ApiModelProperty("奖学金等级")
    private Integer scholarshipLevel;
}
