package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.AddBaseStudentGraduateDto;
import com.xjrsoft.module.student.dto.BaseStudentGraduatePageDto;
import com.xjrsoft.module.student.entity.BaseStudentGraduate;
import com.xjrsoft.module.student.vo.BaseStudentGraduatePageVo;
import com.xjrsoft.module.student.vo.BaseStudentGraduateVo;

/**
* @title: 学生毕业管理
* @Author dzx
* @Date: 2024-01-26
* @Version 1.0
*/

public interface IBaseStudentGraduateService extends MPJBaseService<BaseStudentGraduate> {

    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<BaseStudentGraduatePageVo> getPage(Page<BaseStudentGraduatePageDto> page, BaseStudentGraduatePageDto dto);

    BaseStudentGraduateVo getInfoById(Long id);

    Boolean addOne(AddBaseStudentGraduateDto dto);


}
