package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.AddEnrollmentPlanMajorSetDto;
import com.xjrsoft.module.student.dto.BaseGraduateSchoolOfEnrollmentPlanListDto;
import com.xjrsoft.module.student.dto.BaseMajorSetOfEnrollmentPlanPageDto;
import com.xjrsoft.module.student.entity.EnrollmentPlanMajorSet;
import com.xjrsoft.module.student.vo.BaseGraduateSchoolOfEnrollmentPlanListVo;
import com.xjrsoft.module.student.vo.BaseMajorSetOfEnrollmentPlanPageVo;

import java.util.List;

/**
* @title: 专业方向招生计划详情
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/

public interface IEnrollmentPlanMajorSetService extends MPJBaseService<EnrollmentPlanMajorSet> {
    IPage<BaseMajorSetOfEnrollmentPlanPageVo> baseMajorSetOfEnrollmentPlan(BaseMajorSetOfEnrollmentPlanPageDto dto);

    List<BaseGraduateSchoolOfEnrollmentPlanListVo> baseGraduateSchoolOfEnrollmentPlan(BaseGraduateSchoolOfEnrollmentPlanListDto dto);

    Boolean add(AddEnrollmentPlanMajorSetDto dto);

    Boolean removeBatch(List<Long> ids);
}
