package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.SchoolRollFurtherEducationPageDto;
import com.xjrsoft.module.student.entity.SchoolRollFurtherEducation;
import com.xjrsoft.module.student.vo.SchoolRollFurtherEducationPageVo;
import com.xjrsoft.module.student.vo.SchoolRollFurtherEducationVo;

/**
* @title: 升学管理
* @Author szs
* @Date: 2023-12-01
* @Version 1.0
*/

public interface ISchoolRollFurtherEducationService extends MPJBaseService<SchoolRollFurtherEducation> {

    /**
     * 升学管理列表(分页)PC端
     * @return
     */
    IPage<SchoolRollFurtherEducationPageVo> getPageListPc(SchoolRollFurtherEducationPageDto dto);

    /**
     * 根据id查询升学管理信息
     * @param id
     * @return
     */
    SchoolRollFurtherEducationVo getDetailById(Long id);
}
