package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生班级巡查考核-关联学生表单出参
* @Author dzx
* @Date: 2023-11-17
* @Version 1.0
*/
@Data
public class BaseStudentBehaviorStudentRelationVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 学生id
    */
    @ApiModelProperty("学生id")
    private Long userId;
    /**
    * 学生操行分记录管理id
    */
    @ApiModelProperty("学生操行分记录管理id")
    private Long baseStudentBehaviorManageId;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 民族(xjr_dictionary_item[nation])
    */
    @ApiModelProperty("民族(xjr_dictionary_item[nation])")
    private String nation;
    /**
    * 所在班级
    */
    @ApiModelProperty("所在班级")
    private String className;
    /**
    * 所学专业
    */
    @ApiModelProperty("所学专业")
    private String majorName;



}
