package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 移动端学生修改信息列表
* @Author dzx
* @Date: 2024年2月26日
* @Version 1.0
*/
@Data
public class BaseStudentSompleInfoVo {


    @ApiModelProperty("主键编号")
    private Long id;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("启用状态(0:禁用 1:启用)")
    private Integer enabledMark;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("学生姓名")
    private String studentName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("身份证号")
    private String credentialNumber;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("本人电话")
    private String mobile;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班主任名称")
    private String teacherName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("家长名称")
    private String parentName;

    @ApiModelProperty("家长电话")
    private String parentMobile;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("班主任id")
    private Long teahcerId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班主任电话")
    private String teacherMobile;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班主任工号")
    private String teacherUserName;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("教师名称")
    private String classroomName;
}
