package com.xjrsoft.module.student.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class BaseStudentTreeVo implements ITreeNode<BaseStudentTreeVo,Long>, Serializable {


    @ApiModelProperty("id")
    private Long id;


    @ApiModelProperty("name")
    private String name;


    @ApiModelProperty("disabled")
    private Long parentId;


    @ApiModelProperty("children")
    private List<BaseStudentTreeVo> children;

}
