package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
public class CaptchaDto {

    @ApiModelProperty(value = "手机")
    @Pattern(regexp = "1[3-9][0-9]\\d{8}",message = "手机号格式不正确！")
    @NotBlank(message = "手机不能为空！")
    private String mobile;

    @ApiModelProperty("验证key")
//    @NotBlank(message = "验证key不能为空！")
    private String key;

    @ApiModelProperty("验证码")
//    @NotBlank(message = "验证码不能为空！")
    private String code;
}
