package com.xjrsoft.module.system.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @title: DatasourcePageVo
 * @Author tzx
 * @Date: 2022/4/4 18:46
 * @Version 1.0
 */
@Data
public class DatasourcePageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("编号")
    private String code;

    @ApiModelProperty("名字")
    private String name;

    @ApiModelProperty("数据库主键")
    private String databaselinkId;

    @ApiModelProperty("数据库名称")
    private String dbName;

    @ApiModelProperty("sql语句")
    private String sqlScript;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建时间")
    private LocalDateTime createDate;
}
