package com.xjrsoft.module.system.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
* @title: 系统消息分页列表出参
* @Author brealinxx
* @Date: 2024-04-17
* @Version 1.0
*/
@Data
public class SystemUpdateMessagePageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 发送范围（1：全体师生，2：全体教职工）
    */
    @ApiModelProperty("发送范围（1：全体师生，2：全体教职工）")
    private Integer sendRange;
    /**
    * 消息标题
    */
    @ApiModelProperty("消息标题")
    private String title;
    /**
    * 标题颜色
    */
    @ApiModelProperty("标题颜色")
    private String titleColor;
    /**
    * 消息内容
    */
    @ApiModelProperty("消息内容")
    private String content;
    /**
    * 状态（0：未发布 1：已发布）
    */
    @ApiModelProperty("状态（0：未发布 1：已发布）")
    private Integer status;

    @ApiModelProperty("发布时间")
    private LocalDateTime releaseDate;

}
