package com.xjrsoft.module.teacher.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;


/**
* @title: 考勤-记录分页查询入参
* @Author szs
* @Date: 2023-12-18
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class AttendanceRecordPageDto extends PageInput {

    /**
     * 打卡人姓名
     */
    @ApiModelProperty("打卡人姓名")
    private String userName;

    /**
     * 打卡时间
     */
    @ApiModelProperty("打卡时间-范围开始")
    private Date checkTimeStart;

    /**
     * 打卡时间
     */
    @ApiModelProperty("打卡时间-范围结束")
    private Date checkTimeEnd;

    /**
     * 状态（1:正常 2:迟到）
     */
    @ApiModelProperty("状态（1:正常 2:迟到）")
    private Integer status;

}
