package com.xjrsoft.module.teacher.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;


/**
* @title: 班主任事项请假分页查询入参
* @Author szs
* @Date: 2023-12-19
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class WfHeadTeacherLeavePageDto extends PageInput {
    /**
     * 申请人姓名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人姓名")
    @ApiModelProperty("申请人姓名")
    private String applicantUserIdCN;
    /**
     * 开始时间
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("开始时间")
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
     * 结束时间
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("结束时间")
    @ApiModelProperty("结束时间")
    private Date endTime;
    /**
     * 替换教师姓名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("替换教师姓名")
    @ApiModelProperty("替换教师姓名")
    private Long substituteUserIdCN;

}
