package com.xjrsoft.module.teacher.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.teacher.dto.AddXjrUserDto;
import com.xjrsoft.module.teacher.dto.UpdateXjrUserDto;
import com.xjrsoft.module.teacher.entity.XjrUser;

import java.util.List;

/**
* @title: service
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/

public interface ITeacherbaseManagerService extends MPJBaseService<XjrUser> {
    /**
    * 新增
    *
    * @param xjrUser
    * @return
    */
    Boolean add(AddXjrUserDto xjrUser);

    /**
    * 更新
    *
    * @param xjrUser
    * @return
    */
    Boolean update(UpdateXjrUserDto xjrUser);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);
}
