package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 教材教辅征订记录
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class AddTextbookSubscriptionRecordDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材管理编号
    */
    @ApiModelProperty("教材管理编号")
    private Long textbookId;
    /**
    * 教材教辅征订编号
    */
    @ApiModelProperty("教材教辅征订编号")
    private Long wfTextbookSubscriptionId;

}
