package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
* @title: 教材管理分页查询入参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TextbookInstockroomDto {
    /**
     * 教材教辅征订编号
     */
    @ApiModelProperty("教材教辅征订编号")
    private Long wfTextbookSubscriptionId;
    /**
     * 教材教辅征订项编号
     */
    @ApiModelProperty("教材教辅征订项编号")
    private Long id;
    /**
     * 国际标准刊号
     */
    @ApiModelProperty(value = "国际标准刊号",hidden = true)
    private String issn;
    /**
     * 本次入库数量
     */
    @ApiModelProperty("本次入库数量")
    private Integer inNum;
}
