package com.xjrsoft.module.textbook.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.textbook.dto.TextbookIssueRecordExportDto;
import com.xjrsoft.module.textbook.dto.TextbookIssueRecordPageDto;
import com.xjrsoft.module.textbook.entity.TextbookIssueRecord;
import com.xjrsoft.module.textbook.vo.TextbookIssueRecordPageVo;

import java.util.List;

/**
* @title: 教材出库记录
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/

public interface ITextbookIssueRecordService extends MPJBaseService<TextbookIssueRecord> {

    Page<TextbookIssueRecordPageVo> getPage(Page<TextbookIssueRecordPageDto> page, TextbookIssueRecordPageDto dto);

    List<TextbookIssueRecordPageVo> getList(TextbookIssueRecordExportDto dto);

    List<TextbookIssueRecordPageVo> getList();
}
