package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 教师教材领取按学生查看页面出参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class TeacherCheckByStuVo {

    /**
     * 学生用户编号
     */
    @ApiModelProperty("学生用户编号")
    private Long studentUserId;
    /**
     * 学生用户编号
     */
    @ApiModelProperty("学生用户编号")
    private String studentUserIdCN;
    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentId;

    /**
     * 学生教材领取记录集合
     */
    @ApiModelProperty("学生教材领取记录集合")
    List<TextbookClaimVO> textbookClaimVOList;
}
