package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 教材领取人员表单出参
* @Author dzx
* @Date: 2023-12-29
* @Version 1.0
*/
@Data
public class TextbookClaimUserVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材申领编号
    */
    @ApiModelProperty("教材申领编号")
    private Long wfTextbookClaimId;
    /**
    * 用户编号
    */
    @ApiModelProperty("用户编号")
    private Long userId;
    /**
    * 用户类型（1：学生 2=教师）
    */
    @ApiModelProperty("用户类型（1：学生 2=教师）")
    private Integer userType;



}
