package com.xjrsoft.module.weekly.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 值周排班表单出参
* @Author dzx
* @Date: 2023-12-30
* @Version 1.0
*/
@Data
public class WeeklyDutyScheduleVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学号/工号
    */
    @ApiModelProperty("学号/工号")
    private String userNumber;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 证件号码
    */
    @ApiModelProperty("证件号码")
    private String credentialNumber;
    /**
    * 出生日期
    */
    @ApiModelProperty("出生日期")
    private Date dateBirth;
    /**
    * 年龄
    */
    @ApiModelProperty("年龄")
    private Integer age;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;



}
