package com.xjrsoft.module.workflow.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: tzx
 * @Date: 2022/10/31 15:33
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MyProcessPageDto extends PageInput {
    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 模板名称
     */
    private String name;

    /**
     * 模板id
     */
    private String schemaId;


    /**
     * 发起人
     */
    private String originator;

    /**
     * 流水号
     */
    private String serialNumber;

    /**
     * 1完成 2未完成
     */
    @ApiModelProperty("类型 1完成 2未完成 ")
    private Integer type;

}
