package com.xjrsoft.module.workflow.model;

import lombok.Data;

/**
 * 表单发起流程配置
 * @Author: tzx
 * @Date: 2022/12/12 19:27
 */
@Data
public class FormInitConfig {
    /**
     * 是否可以表单发起流程
     */
    private Boolean enabled;

    /**
     * 表单类型
     */
    private Integer formType;

    /**
     * 表单id
     */
    private Long formId;

    /**
     * 表单名称
     */
    private String formName;
}
