package com.xjrsoft.module.xycxedu.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.xycxedu.dto.ExamStatisticsPageDto;
import com.xjrsoft.module.xycxedu.dto.ExamSubjectScoreDto;
import com.xjrsoft.module.xycxedu.entity.ExamSubjectScore;
import com.xjrsoft.module.xycxedu.vo.ExamStatisticsPageVo;
import com.xjrsoft.module.xycxedu.vo.ExamSubjectScorePageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @title: 晓羊策学考试计划表
* @Author dzx
* @Date: 2024年7月18日
* @Version 1.0
*/
@Mapper
public interface ExamSubjectScoreMappper extends MPJBaseMapper<ExamSubjectScore> {

    Long getUserIdByIdNumber(@Param("idNumber") String idNumber);

    Page<ExamSubjectScorePageVo> getPage(Page<ExamSubjectScorePageVo> page, @Param("dto") ExamSubjectScoreDto dto);

    Page<ExamStatisticsPageVo> getStatisticsPage(Page<ExamStatisticsPageVo> page, @Param("dto") ExamStatisticsPageDto dto);
}
