package com.xjrsoft.module.xycxedu.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.room.dto.RoomPageDto;
import com.xjrsoft.module.room.vo.RoomPageVo;
import com.xjrsoft.module.xycxedu.dto.ExamStatisticsPageDto;
import com.xjrsoft.module.xycxedu.dto.ExamSubjectScoreDto;
import com.xjrsoft.module.xycxedu.entity.ExamSubjectScore;
import com.xjrsoft.module.xycxedu.vo.ExamStatisticsPageVo;
import com.xjrsoft.module.xycxedu.vo.ExamSubjectScorePageVo;
import org.apache.ibatis.annotations.Param;

/**
 * @title: 晓羊策学考试计划表
 * @Author dzx
 * @Date: 2024年7月18日
 * @Version 1.0
*/

public interface IExamSubjectScoreService extends MPJBaseService<ExamSubjectScore> {

    Long getUserIdByIdNumber(String idNumber);

    Page<ExamSubjectScorePageVo> getPage(Page<ExamSubjectScorePageVo> page, ExamSubjectScoreDto dto);

    Page<ExamStatisticsPageVo> getStatisticsPage(Page<ExamStatisticsPageVo> page, ExamStatisticsPageDto dto);
}
